## com.google.appengine.api.datastore
Class DatastoreNeedIndexException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.google.appengine.api.datastore.DatastoreNeedIndexException

All Implemented Interfaces:
  java.io.Serializable

    public class DatastoreNeedIndexException

extends java.lang.RuntimeException

`DatastoreNeedIndexException` is thrown when no matching index was found for a query requiring an index. Check the Indexes page in the Admin Console and your datastore-indexes.xml file.

See Also:
  Serialized Form

Constructor Summary
`DatastoreNeedIndexException(java.lang.String message)`

Method Summary
`java.lang.String` `getMessage()`
`java.lang.String` `getMissingIndexDefinitionXml()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DatastoreNeedIndexException

    public DatastoreNeedIndexException(java.lang.String message)

Method Detail

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

### getMissingIndexDefinitionXml

    public java.lang.String getMissingIndexDefinitionXml()

  Returns:
    The xml defining the missing index. Can be `null`.